#
# spec file for package libretro-2048
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-2048
Version:        0~git20190902
Release:        bp155.2.10
Summary:        2048 libretro core
License:        MIT
Group:          System/Emulators/Other
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
Port of 2048 puzzle game to the libretro API.

%prep
%setup -q

%build
make -f Makefile.libretro

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp 2048_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/2048_libretro.so

%changelog
* Thu Oct 10 2019 i@guoyunhe.me
- Update to version 0~git20190902:
  * (tvOS) Compile using tvOS SDK
  * Use new bitmask input code
  * Allow LIBRETRO_COMM_DIR override
  * Tupfile for super-repositories
  * Report audio sample rate as zero
  * Add MSVC2017 target
  * Build rules for Genode platform
  * Compile 2048 for PS2
* Thu Oct 10 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
